Skip to main content
GET
List all available integration types

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

boost_categories
string[] | null

Category slugs to boost. Integrations in these categories appear first in results.

Maximum array length: 50
Maximum string length: 255
category_slug
string | null

Filter integration types by category slug

Maximum string length: 255
kind
enum<string> | null

Filter by integration kind

Available options:
source,
destination,
both
record_type__in
string[] | null

Filter to integration types that sync any of these record types (match ANY). Unknown slugs are ignored; wildcard integrations always match.

Maximum array length: 50
Maximum string length: 255
search
string | null

Search integration types by name or description

Maximum string length: 255
limit
integer
default:10

The number of items to return.

Required range: 1 <= x <= 100
order_by
enum<string>
default:name
Available options:
id,
created_at,
updated_at,
name
order_direction
enum<string>
default:asc
Available options:
asc,
desc
cursor
string | null

Set the cursor to the next or previous page. You can get the cursor from the previous page's response.

Response

Successful Response

data
IntegrationTypeRead · object[]

The list of ResponseItems.

next_page_cursor
string | null

The cursor to the next page. If there are no more pages, this is None.

previous_page_cursor
string | null

The cursor to the previous page. If there are no previous pages, this is None.